Intel® Distribution of OpenVINO™ Toolkit
Community support and discussions about the Intel® Distribution of OpenVINO™ toolkit, OpenCV, and all things computer vision-related on Intel® platforms.
5959 Discussions

Model Optimizer: Exception occurred during running replacer

maja_t
Beginner
221 Views

Dear Intel Support community,

I am just starting with OpenVINO and was trying to convert an ONNX model (trained in Pytorch) to IR. I got the bug report below, suggesting to contact the Model Optimizer developers. Any help/hints how to proceed and what could be the problem with the model are highly appreciated! 

Thanks, Maja

-------------------

Inference Engine version: 2021.4.0-3839-cd81789d294-releases/2021/4
Model Optimizer version: 2021.4.0-3839-cd81789d294-releases/2021/4
[ ERROR ] -------------------------------------------------
[ ERROR ] ----------------- INTERNAL ERROR ----------------
[ ERROR ] Unexpected exception happened.
[ ERROR ] Please contact Model Optimizer developers and forward the following information:
[ ERROR ] Exception occurred during running replacer "fusing (<class 'extensions.middle.fusings.Fusing'>)":
[ ERROR ] Traceback (most recent call last):
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 276, in apply_transform
replacer.find_and_replace_pattern(graph)
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\extensions\middle\fusings.py", line 45, in find_and_replace_pattern
for_graph_and_each_sub_graph_recursively(graph, fuse_pad)
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\middle\pattern_match.py", line 46, in for_graph_and_each_sub_graph_recursively
func(graph)
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\middle\passes\conv.py", line 54, in fuse_pad
apply_pattern(
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\middle\pattern_match.py", line 83, in apply_pattern
action(graph, match)
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\middle\passes\conv.py", line 34, in pad_op_transform
if pads[get_features_dim(op.graph.graph['layout'], input_tensor_dims)] != 0 or \
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\front\common\layout.py", line 71, in get_features_dim
assert 4 <= shape_len <= 5
AssertionError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "C:\Program Files (x86)\Intel\openvino_2021.4.582\deployment_tools\model_optimizer\mo\main.py", line 394, in main
ret_code = driver(argv)
File "C:\Program Files (x86)\Intel\openvino_2021.4.582\deployment_tools\model_optimizer\mo\main.py", line 356, in driver
ret_res = emit_ir(prepare_ir(argv), argv)
File "C:\Program Files (x86)\Intel\openvino_2021.4.582\deployment_tools\model_optimizer\mo\main.py", line 252, in prepare_ir
graph = unified_pipeline(argv)
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\pipeline\unified.py", line 13, in unified_pipeline
class_registration.apply_replacements(graph, [
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 328, in apply_replacements
apply_replacements_list(graph, replacers_order)
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 314, in apply_replacements_list
apply_transform(
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\utils\logger.py", line 111, in wrapper
function(*args, **kwargs)
File "C:\Program Files (x86)\Intel\openvino_2021\deployment_tools\model_optimizer\mo\utils\class_registration.py", line 302, in apply_transform
raise Exception('Exception occurred during running replacer "{} ({})": {}'.format(
Exception: Exception occurred during running replacer "fusing (<class 'extensions.middle.fusings.Fusing'>)":

[ ERROR ] ---------------- END OF BUG REPORT --------------
[ ERROR ] -------------------------------------------------

0 Kudos
2 Replies
Peh_Intel
Moderator
196 Views

Hi Maja,


First and foremost, before proceeding further, please help to ensure that the topology of your model is listed in the Supported Public ONNX Topologies.

 

Please also help to check whether your framework layer is supported in the ONNX Supported Operators.


It will be great if you can share your model with us for further investigation.



Regards,

Peh


Peh_Intel
Moderator
161 Views

Hi Maja,


Thank you for your question. If you need any additional information from Intel, please submit a new question as this thread is no longer being monitored. 



Regards,

Peh


Reply